import { Grid, TextField } from "@mui/material";
import { useEffect, useState } from "react";

const CalendarTask = ({year, month, tasks, day, hours, setCurrentTask, onChange}) => {

  const getTaskInDayCell = (tasks, day, hours) => {
    const task = tasks.find(task=> {
    if (year === task.infoForCell.startYear) {
      if (month + 1 === task.infoForCell.startMonth) {
        if (day.dayNumber === task.infoForCell.startDay) {
          if ((task.infoForCell.endHour <= parseInt(hours.split(':')[0]) || task.infoForCell.startHour <= parseInt(hours.split(':')[0])) && (task.infoForCell.endHour > parseInt(hours.split(':')[0]))) {
            return task
          }
        }
      }      
    }
    })
    return task
  }
  
  let task = getTaskInDayCell(tasks, day, hours)

  return (<> 
      {task ? 
      <Grid  sx={{backgroundColor: 'lightgreen'}}>
        <TextField 
        id={task.title} 
        variant="standard" 
        value={task.title} 
        name='title' 
        onClick={(e)=>{e.stopPropagation(); setCurrentTask(task)}}
        onChange={onChange}>
        </TextField>
      </Grid>
      : null }
  </>)
};

export default CalendarTask;